using Hotline.File;
using TianQue.Sdk;

namespace Hotline.Tests.Infrastructure;
public class TianQueTest
{
    private readonly IFileDomainService _fileDomainService;

    public TianQueTest(IFileDomainService fileDomainService)
    {
        _fileDomainService = fileDomainService;
    }

    [Fact]
    public void Test_GenerateNonce()
    {
        // Arrange
        var nonce = SignUtils.GenerateNonce();

        // Assert
        Assert.NotNull(nonce);
        Assert.Equal(64, nonce.Length);
        // b55dfdedba900437d486e70e5fb78ed50afaeb910a2346f16ef03af656f8bb0b
    }

    [Fact]
    public async Task PostAcceptInfo_Test()
    {
        // Arrange
        //var tiqnQueService = new TiqnQueService();

        //// Act
        //var result = await tiqnQueService.PostAcceptInfo();

        //// Assert
        //Assert.Equal("ok", result);
    }

    [Fact]
    public async Task GetFile_Test()
    { 
        //await _fileDomainService.GetNetworkFileAsync("http://10.0.188.11:1234/tqOssManager/getObjectByUri/sichuan/scgrid/jpg/2024/12/5/095020318625.jpg", "");
    }

}
